import 'package:em2rp/providers/local_auth_provider.dart';
import 'package:flutter/material.dart';
import 'package:em2rp/views/widgets/nav/main_drawer.dart';
import 'package:provider/provider.dart'; // Import Provider
import 'package:em2rp/providers/user_provider.dart'; // Import UserProvider
import 'package:em2rp/utils/colors.dart';

class CalendarPage extends StatelessWidget {
  const CalendarPage({super.key});

  @override
  Widget build(BuildContext context) {
    final localAuthProvider = Provider.of<LocalAuthProvider>(context);

    return Scaffold(
      appBar: AppBar(title: const Text('Calendrier')),
      drawer: MainDrawer(
          currentPage: '/calendar'), // Pass UserProvider to MainDrawer
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            const Text('Page Calendrier', style: TextStyle(fontSize: 24)),
            const SizedBox(height: 20),
            if (localAuthProvider.role == 'ADMIN') // Get role from UserProvider
              const Text('Vue Admin du Calendrier',
                  style: TextStyle(fontSize: 18, color: AppColors.rouge))
            else
              const Text('Vue Utilisateur du Calendrier',
                  style: TextStyle(fontSize: 18, color: Colors.blueGrey)),
          ],
        ),
      ),
    );
  }
}
